Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.lucene
Class LuceneUtils

    java.lang.Object
      org.owasp.dependencycheck.data.lucene.LuceneUtils

    public final class LuceneUtils

extends Object

Lucene utils is a set of utilize written to make constructing Lucene queries simpler.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Method Summary
`static void` | `appendEscapedLuceneQuery(StringBuilder buf, CharSequence text)` Appends the text to the supplied StringBuilder escaping Lucene control characters in the process.
`static String` | `escapeLuceneQuery(CharSequence text)` Escapes the text passed in so that it is treated as data instead of control characters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### appendEscapedLuceneQuery

    public static void appendEscapedLuceneQuery(StringBuilder buf,
                                                CharSequence text)

  Appends the text to the supplied StringBuilder escaping Lucene control characters in the process.

  Parameters:
    `buf` - a StringBuilder to append the escaped text to
    `text` - the data to be escaped

### escapeLuceneQuery

    public static String escapeLuceneQuery(CharSequence text)

  Escapes the text passed in so that it is treated as data instead of control characters.

  Parameters:
    `text` - data to be escaped
  Returns:
    the escaped text.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.